//
//  SSCViableMedViewController.h
//  SimplySelfCare
//
//  Created by Michael Place on 3/16/13.
//  Copyright (c) 2013 scrapsfromthetable. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SSCUser.h"

@interface SSCViableMedViewController : UIViewController <UITableViewDataSource, UITableViewDelegate> {
    SSCUser *_currentUser;
    NSArray *_viableMeds;
    NSMutableArray *_drugSaveStatusArray;
    int _currentRowSelected;
}

@property (nonatomic, strong) SSCUser *currentUser;
@property (nonatomic, strong) NSArray *viableMeds;
@property (nonatomic, strong) NSMutableArray *drugSaveStatusArray;
@property (weak, nonatomic) IBOutlet UILabel *drugNameLabel;
@property (weak, nonatomic) IBOutlet UITextView *informationTextView;
@property (weak, nonatomic) IBOutlet UITableView *viableDrugTableView;
@property (weak, nonatomic) IBOutlet UIButton *saveButton;


- (IBAction)doneButtonWasClicked:(UIBarButtonItem *)sender;
- (IBAction)saveDrugButtonWasClicked:(UIButton *)sender;
- (IBAction)backButtonWasClicked:(UIBarButtonItem *)sender;
- (IBAction)cancelButtonWasClicked:(UIBarButtonItem *)sender;
@end
