//
//  SSCUserManagementViewController.h
//  SimplySelfCare
//
//  Created by Michael Place on 10/18/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SSCUser.h"

@protocol LogoutDelegate <NSObject>

- (void)didRequestLogout;
- (void)didRequestChangeUser:(NSString*)user;

@end

@interface SSCUserManagementViewController : UIViewController <UITableViewDataSource, UITableViewDelegate>{
    SSCUser *_currentUser;
    __weak id <LogoutDelegate> _delegate;
}
@property (nonatomic, strong) SSCUser *currentUser;
@property (nonatomic, weak) id delegate;
@property (weak, nonatomic) IBOutlet UITableView *switchUserTableView;


- (IBAction)backButtonWasClicked:(id)sender;
- (IBAction)signOutButtonWasClicked:(id)sender;
- (IBAction)deleteAccountWasClicked:(id)sender;


@end
