//
//  SSCAilmentViewController.h
//  SimplySelfCare
//
//  Created by Michael Place on 8/30/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SSCUser.h"

@protocol AilmentViewDelegate <NSObject>

- (void)diagnosisWasCancelled;

@end

@interface SSCAilmentViewController : UIViewController {
    __weak id <AilmentViewDelegate> delegate;
    NSArray *_symptoms;
    NSArray *_selectedSymptoms;
    UIActivityIndicatorView *_aiv;
}
@property (nonatomic, strong) NSString *bodyRegion;
@property (nonatomic, strong) SSCUser *currentUser;
@property (nonatomic, strong) NSArray *symptoms;
@property (nonatomic, strong) NSArray *selectedSymptoms;
@property (nonatomic, weak) id delegate;
@property (nonatomic, strong) UIActivityIndicatorView *aiv;
@property (nonatomic, weak) IBOutlet UIBarButtonItem *backDiagnosisButton;
@property (nonatomic, weak) IBOutlet UITableView *symptomTableView;

- (IBAction)nextDiagnosisButtonClicked:(id)sender;

- (IBAction)backDiagnosisButtonClicked:(id)sender;

- (IBAction)cancelDiagnosisButtonClicked:(id)sender;

@end
